This repository contains the sources necessary to build the blog at:
<https://blog.epheme.re>

# Dependencies

To use this repository as intended, you need, to build the blog, the following
software:

- `git`
- `make`
- `uv`

To synchronise the blog remotely with its intended target, the synchronisation
is done using `rsync` over `ssh`.

# Install

To install a local copy to work on this blog, you also need the theme for it,
available [there](https://git.epheme.re/fmouhart/pelican-clean-blog). It is
embedded in the repository as a git submodule, so you can simply run git clone
with the `--recurse-submodule` option:

```sh
git clone --recurse-submodule https://git.epheme.re/fmouhart/blog.git fmouhart-blog
```

This blog relies on [pelican](https://getpelican.com) as a static site
generator. To manage the different python dependencies of this project, we are
using [`uv`](https://github.com/astral-sh/uv) as a python project manager.

To download the dependencies, run `uv sync` or:

```sh
make init
```

# Development

When writing an article, you can run the blog with `livereload` enabled with the
command:

```sh
make dev
```

It’ll span a local development server on port `8000`: <http://localhost:8000>
